Your Moodle version

Question types: Select missing words

qtype_gapselect
Maintained by Tim at Lone Pine Koala Sanctuary Tim Hunt, Picture of Jamie Pratt Jamie Pratt, Picture of Phil Butcher Phil Butcher
This question type allows students to complete a paragraph of text by selecting the missing words using drop-down menus.

Sets

This plugin is part of set Open University.

There are working examples in eAssessment with Moodle on our OpenLearn site.

The documentation is in How to create questions in Moodle on that site.

This question type allows students to complete a paragraph of text by selecting the missing words using drop-down menus. You can make questions like this using the Cloze question type, but this question type is easier for teachers to get up, and presents the feedback in a more accessible way.

The question type was created by Jamie Pratt for the Open University.

Contributors

Tim at Lone Pine Koala Sanctuary
Tim Hunt (Lead maintainer)
Picture of Jamie Pratt
Jamie Pratt: Developer
Picture of Phil Butcher
Phil Butcher: Question type designer
Picture of Colin Chambers
Colin Chambers: Developer
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Peter Rose
    Wed, Oct 10, 2012, 6:50 PM
    Had a slight problem with the download fron plugin page file when installing during notification had a message that the version of Moodle was wrong. Tim sent me to github to get a new file which worked. This seems to be for both gapselect and select missing word files.
  • Tim at Lone Pine Koala Sanctuary
    Thu, Jul 4, 2013, 3:50 PM
    http://labspace.open.ac.uk/mod/oucontent/view.php?id=470268&section=5.4.6 is a more specific link. (I updated the link above to point there.)
  • Picture of Peter Halverson
    Thu, Jul 4, 2013, 4:02 PM
    Hello,
    I had a bit of trouble finding the documentation for the Select Missing Words question type. So FYI, an explanation can be found here:
    http://labspace.open.ac.uk/mod/oucontent/view.php?id=470268&section=5.4.6
    ---Peter Halverson
  • Picture of Alan Coats
    Wed, Jan 8, 2014, 6:53 PM
    Has anyone tested this with Moodle 2.6?
  • Tim at Lone Pine Koala Sanctuary
    Wed, Jan 8, 2014, 7:04 PM
    Sorry, this is still on my todo list. Hopefully this week, but I can't guarantee that.
  • Tim at Lone Pine Koala Sanctuary
    Wed, Jan 8, 2014, 9:00 PM
    OK, I just did it. It was working fine in 2.6, but there is a bug fix, so you should probably upgrade to the latest version that I just uploaded.
  • Picture of Sylvia Moessinger
    Sun, Jan 12, 2014, 9:56 PM
    I updated from 2.4 to Moodle 2.5.2+ and experience problems with my questions. Some now display a question mark - unknown question type. I figured out that the OU questions seems to miss, so I wanted to install them, but now I receive the message that I need to resolve plugin requirements, but I don't know how. I downloaded the questions types and wanted to install them manually, but this does not work either.

    Could anybody please provide any help. Thanks.
  • Picture of Sylvia Moessinger
    Mon, Jan 13, 2014, 2:30 AM
    I could solve the problem described above.
Please login to post comments